units_cur(1)

NAME
units_cur - update currency information for units(1)

SYNOPSIS
units_cur [options] [<currency_file> [<crypto_file> [<metals_file> [<cpi_file>]]]]

DESCRIPTION
units_cur updates the currency information, crypto prices, precious metal prices, and consumer price index data for units.

OPTIONS
If a file is specified as argument, the updated information will be written there instead of in the default file (see below). Specifying - causes the updated information to be written to standard output. Specifying . causes the file to be skipped.

-h  shows help information and exits.

-c, --crypto coingecko|packetizer
    sets the crypto data source (default: coingecko).

-V, --version
    displays the units_cur version.

-v, --verbose
    displays details when fetching currency data.

-s, --source exchangerate_api|floatrates|eubank|fixer|openexchangerates
    sets the currency data source (default: exchangerate_api).

-b, --base base
    sets the base currency (when allowed by the data source). base should be a three-letter ISO currency code such as USD. The specified currency will be the primitive currency unit used by units. Only the floatrates source supports this option.

-k, --key key
    sets the API key for sources that require it.

--blskey bls_key
    sets the BLS key for fetching CPI data.

FILES

/var/lib/units/currency.units
    Default currency information.

/var/lib/units/crypto.units
    Default crypto prices.

/var/lib/units/metal_prices.units
    Default precious metal prices.

/var/lib/units/cpi.units
    Default consumer price index data.

SEE ALSO
units(1)

AUTHORS
units was written by Adrian Mariano <adrianm@gnu.org>.

This manual page was written by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was last modified for units_cur version 5.1 (units version 2.26).